Subject: Re: ppc manual paging question

From: Benjamin Herrenschmidt <[email-masked]>
Date: Mon, 22 Oct 2007 17:34:24 +1000

> Sorry I didn't realized that. I've finished looking pem64b.pdf, but it's 
> almost nothing like in ppc 4xx/44x.

You'll have to get yourself a 44x manual :-)

> > It's a software loaded TLB, you'll have to put translations in the TLB
> > yourself. You'll need to design your own data structures for that, tho
> > you can use a page table for tracking, like we do in linux, and then
> > have your own TLB miss handler to fill the TLB from that.

> OK, Shall I look for the DataTLBError code in head.S? I realized that I've got 
> DataTLBError sometimes via BDI2000/kgdb (the fault address is within 
> DataTLBError), Shall I should also look for arch/ppc/mm/fault.c?

head_44x.S is where you'll find some guidance

> > Your initial code probably need to bolt a TLB entry for the kernel
> > itself.
> I don't understand this clearly, how can I do this?

Well, you insert a TLB entry manually and avoid replacing it later on

Ben.